### Signal

# Ide DeviceProvider::device-added

#### Declaration

    void
    device_added (
      IdeDeviceProvider* self,
      IdeDevice* device,
      gpointer user_data
    )

#### Description

The “device-added” signal is emitted when a provider has discovered a device has become available.

Subclasses of `IdeDeviceManager` must chain-up if they override the `IdeDeviceProviderClass`.device_added vfunc.

Default handler: | The default handler is called after the handlers added via `g_signal_connect()`.
Available since: | 3.32

#### Parameters

`device` | `IdeDevice`
| An `IdeDevice`.
| The data is owned by the caller of the function.